View Issue Details

IDProjectCategoryView StatusLast Update
0000035Far Manager 1.7xHistorypublic2007-07-16 16:08
ReportervskirdinAssigned Tovskirdin 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.70 
Summary0000035: Проблемы с History
DescriptionArkady V.Belousov <plugring@yahoogroups.com>

1. Только что напоролся: если очистить (Del) Историю просмотра (Alt-F11) и
Историю папок (Alt-F12) и тут же сохранить реестр, то
SavedViewHistory/Types="p" и SavedFolderHistory/Types="o". А если перед
сохранением выйти из фара, то SavedViewHistory/Types="?". Это так и должно
быть или это бага? Если бага, то чья - фара, регедита?

2. От меня просили повторимости (для баги историей просмотра)? Их есть у
меня. Я сомневаюсь, что эта бага не проявляется у других, но раз уж самим её
повторять лень, я могу предоставить .reg с ветвью SavedViewHistory, после
сжатия которого (^R) оказывается, что содержимое Lines сжимается, а Types -
нет. Пример:

Редактор: 1
Внешний : 2
Просмотр: 3

получается

Редактор: 2
Внешний : 3

     Но, повторюсь, это не единственная бага. Другая бага заключается в том,
что far самопроизвольно меняет типы строк - например, "внешний " и
"просмотр" (2 и 0 в Types) вместо "редактор" (1) появились сами.
TagsNo tags attached.
Build

Activities

vskirdin

2005-10-26 14:25

administrator   bugnote:0000024

Так же, если очистили историю, то соответствующая ветка из реестра удаляется.

Issue History

Date Modified Username Field Change
2005-10-25 16:06 vskirdin New Issue
2005-10-26 13:54 vskirdin Status new => assigned
2005-10-26 13:54 vskirdin Assigned To => vskirdin
2005-10-26 14:25 vskirdin Status assigned => resolved
2005-10-26 14:25 vskirdin Fixed in Version => alpha 6
2005-10-26 14:25 vskirdin Resolution open => fixed
2005-10-26 14:25 vskirdin Note Added: 0000024
2007-07-16 16:08 alexy Status resolved => closed